# TaskQueue API . taskqueues

## Instance Methods

Get detailed information about a TaskQueue.

### Method Details

`get(project, taskqueue, getStats=None)`

    Get detailed information about a TaskQueue.

    Args:
      project: string, The project under which the queue lies. (required)
      taskqueue: string, The id of the taskqueue to get the properties of. (required)
      getStats: boolean, Whether to get stats. Optional.

    Returns:
      An object of the form:

        {
        "kind": "taskqueues#taskqueue", # The kind of REST object returned, in this case taskqueue.
        "stats": { # Statistics for the TaskQueue object in question.
          "oldestTask": "A String", # The timestamp (in seconds since the epoch) of the oldest unfinished task.
          "leasedLastMinute": "A String", # Number of tasks leased in the last minute.
          "totalTasks": 42, # Number of tasks in the queue.
          "leasedLastHour": "A String", # Number of tasks leased in the last hour.
        },
        "id": "A String", # Name of the taskqueue.
        "maxLeases": 42, # The number of times we should lease out tasks before giving up on them. If unset we lease them out forever until a worker deletes the task.
        "acl": { # ACLs that are applicable to this TaskQueue object.
          "consumerEmails": [ # Email addresses of users who can "consume" tasks from the TaskQueue. This means they can Dequeue and Delete tasks from the queue.
            "A String",
          ],
          "producerEmails": [ # Email addresses of users who can "produce" tasks into the TaskQueue. This means they can Insert tasks into the queue.
            "A String",
          ],
          "adminEmails": [ # Email addresses of users who are "admins" of the TaskQueue. This means they can control the queue, eg set ACLs for the queue.
            "A String",
          ],
        },
      }